## ncsa.hdf.hdflib
Class HDFDeprecated

    java.lang.Object
      ncsa.hdf.hdflib.HDFLibrary
          ncsa.hdf.hdflib.HDFDeprecated

All Implemented Interfaces:
  java.io.Serializable

    public class HDFDeprecated

extends HDFLibrary

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `H45PATH_PROPERTY_KEY`
`static java.lang.String` `HDFPATH_PROPERTY_KEY`

Constructor Summary
`HDFDeprecated()`

Method Summary
`static boolean` `DFANaddfds(int file_id, java.lang.String description, int desc_len)`
`static boolean` `DFANaddfid(int file_id, java.lang.String label)`
`static boolean` `DFANclear()`
`static boolean` `DFANgetdesc(java.lang.String filename, short tag, short ref, java.lang.String[] desc_buf, int buf_len)`
`static int` `DFANgetdesclen(java.lang.String filename, short tag, short ref)`
`int` `DFANgetfds(int file_id, java.lang.String[] desc_buf, int buf_len, boolean isfirst)`
`static int` `DFANgetfds(int file_id, java.lang.String[] desc_buf, int buf_len, int isfirst)`
`int` `DFANgetfdslen(int file_id, boolean isfirst)`
`static int` `DFANgetfdslen(int file_id, int isfirst)`
`int` `DFANgetfid(int file_id, java.lang.String[] desc_buf, int buf_len, boolean isfirst)`
`static int` `DFANgetfid(int file_id, java.lang.String[] desc_buf, int buf_len, int isfirst)`
`int` `DFANgetfidlen(int file_id, boolean isfirst)`
`static int` `DFANgetfidlen(int file_id, int isfirst)`
`static boolean` `DFANgetlabel(java.lang.String filename, short tag, short ref, java.lang.String[] label_buf, int buf_len)`
`static int` `DFANgetlablen(java.lang.String filename, short tag, short ref)`
`static int` `DFANlablist(java.lang.String filename, short tag, short[] ref_list, java.lang.String[] label_list, int list_len, int label_len, int start_pos)`
`static short` `DFANlastref()`
`static boolean` `DFANputdesc(java.lang.String filename, short tag, short ref, java.lang.String description, int desc_len)`
`static boolean` `DFANputlabel(java.lang.String filename, short tag, short ref, java.lang.String label)`
`static boolean` `DFSDadddata(java.lang.String filename, int rank, int[] dimsizes, byte[] data)`
`boolean` `DFSDadddata(java.lang.String filename, int rank, int[] dimsizes, java.lang.Object theData)`
`static boolean` `DFSDclear()`
`static boolean` `DFSDendslab()`
`static boolean` `DFSDendslice()`
`static boolean` `DFSDgetcal(double[] calInfo)`
`static boolean` `DFSDgetdata(java.lang.String filename, int[] rank, int[] dimsizes, byte[] data)`
`boolean` `DFSDgetdata(java.lang.String filename, int[] rank, int[] dimsizes, java.lang.Object theData)`
`static boolean` `DFSDgetdatalen(int[] info)`
`static boolean` `DFSDgetdatastrs(java.lang.String[] datastrs)`
`static boolean` `DFSDgetdimlen(int dim, int[] label_len)`
`static boolean` `DFSDgetdims(java.lang.String filename, int[] rank, int[] dimsizes, int maxrank)`
`static boolean` `DFSDgetdimscale(int dim, int size, byte[] scale)`
`boolean` `DFSDgetdimscale(int dim, int size, java.lang.Object theScale)`
`static boolean` `DFSDgetdimstrs(int dim, java.lang.String[] dimstrs)`
`static boolean` `DFSDgetfillvalue(byte[] fill_value)`
`boolean` `DFSDgetfillvalue(java.lang.Object[] theFillValue)`
`static boolean` `DFSDgetNT(int[] data_type)`
`static boolean` `DFSDgetrange(byte[] max, byte[] min)`
`boolean` `DFSDgetrange(double[] maxmin)`
`static boolean` `DFSDgetslice(java.lang.String filename, int[] winst, int[] windims, byte[] data, int[] dims)`
`boolean` `DFSDgetslice(java.lang.String filename, int[] winst, int[] windims, java.lang.Object theData, int[] dims)`
`static int` `DFSDlastref()`
`static int` `DFSDndatasets(java.lang.String filename)`
`boolean` `DFSDpre32sdg(java.lang.String filename, short ref, boolean ispre32)`
`static boolean` `DFSDpre32sdg(java.lang.String filename, short ref, int[] ispre32)`
`static boolean` `DFSDputdata(java.lang.String filename, int rank, int[] dimsizes, byte[] data)`
`boolean` `DFSDputdata(java.lang.String filename, int rank, int[] dimsizes, java.lang.Object theData)`
`static boolean` `DFSDputslice(int[] windims, byte[] source, int[] dims)`
`boolean` `DFSDputslice(int[] windims, java.lang.Object source, int[] dims)`
`static boolean` `DFSDreadref(java.lang.String filename, short ref)`
`static boolean` `DFSDreadslab(java.lang.String filename, int[] start, int[] slab_size, int[] stride, byte[] buffer, int[] buffer_size)`
`boolean` `DFSDreadslab(java.lang.String filename, int[] start, int[] slab_size, int[] stride, java.lang.Object theData, int[] buffer_size)`
`static boolean` `DFSDrestart()`
`static boolean` `DFSDsetcal(double cal, double cal_err, double offset, double offset_err, int data_type)`
`static boolean` `DFSDsetdatastrs(java.lang.String label, java.lang.String unit, java.lang.String format, java.lang.String coordsys)`
`static boolean` `DFSDsetdims(int rank, int[] dimsizes)`
`static boolean` `DFSDsetdimscale(int dim, int dimsize, byte[] scale)`
`boolean` `DFSDsetdimscale(int dim, int dimsize, java.lang.Object theScale)`
`static boolean` `DFSDsetdimstrs(int dim, java.lang.String label, java.lang.String unit, java.lang.String format)`
`static boolean` `DFSDsetfillvalue(java.lang.Object fill_value)`
`static boolean` `DFSDsetlengths(int label_len, int unit_len, int format_len, int coords_len)`
`static boolean` `DFSDsetNT(int data_type)`
`static boolean` `DFSDsetrange(byte[] max, byte[] min)`
`boolean` `DFSDsetrange(java.lang.Object max, java.lang.Object min)`
`static boolean` `DFSDstartslab(java.lang.String filename)`
`static boolean` `DFSDstartslice(java.lang.String filename)`
`static boolean` `DFSDwriteref(java.lang.String filename, short ref)`
`static boolean` `DFSDwriteslab(int[] start, int[] stride, int[] count, byte[] data)`
`boolean` `DFSDwriteslab(int[] start, int[] stride, int[] count, java.lang.Object theData)`
`static boolean` `DFUfptoimage(int hdim, int vdim, float max, float min, float[] hscale, float[] vscale, float[] data, byte[] palette, java.lang.String outfile, int ct_method, int hres, int vres, int compress)`
`static void` `HEprint(java.io.OutputStream stream, int level)`
`static boolean` `Vclose(int file_id)`
`static int` `Vopen(java.lang.String filename, int access, short ndds)`
`static void` `VSdump(int vkey)`

Methods inherited from class ncsa.hdf.hdflib.HDFLibrary

`ANannlen, ANannlist, ANatype2tag, ANcreate, ANcreatef, ANend, ANendaccess, ANfileinfo, ANget_tagref, ANid2tagref, ANnumann, ANreadann, ANselect, ANstart, ANtag2atype, ANtagref2id, ANwriteann, DF24addimage, DF24addimage, DF24getdims, DF24getimage, DF24getimage, DF24lastref, DF24nimages, DF24putimage, DF24putimage, DF24readref, DF24reqil, DF24restart, DF24setcompress, DF24setdims, DF24setil, DFKNTsize, DFPaddpal, DFPgetpal, DFPlastref, DFPnpals, DFPputpal, DFPputpal, DFPreadref, DFPrestart, DFPwriteref, DFR8addimage, DFR8addimage, DFR8getdims, DFR8getimage, DFR8getimage, DFR8getpalref, DFR8lastref, DFR8nimages, DFR8putimage, DFR8putimage, DFR8readref, DFR8restart, DFR8setcompress, DFR8setpalette, DFR8writeref, getJHIVersion, GRattrinfo, GRcreate, GRend, GRendaccess, GRfileinfo, GRfindattr, GRgetattr, GRgetattr, GRgetchunkinfo, GRgetcompress, GRgetiminfo, GRgetlutid, GRgetlutinfo, GRgetnluts, GRidtoref, GRluttoref, GRnametoindex, GRreadchunk, GRreadchunk, GRreadimage, GRreadimage, GRreadlut, GRreadlut, GRreftoindex, GRreqimageil, GRreqlutil, GRselect, GRsetattr, GRsetattr, GRsetattr, GRsetchunk, GRsetchunkcache, GRsetcompress, GRsetexternalfile, GRstart, GRwriteimage, GRwriteimage, GRwritelut, GRwritelut, Hcache, HCget_config_info, Hclose, HDdont_atexit, HDFclose, HDFopen, HDgetNTdesc, HEstring, HEvalue, Hgetfileversion, Hgetlibversion, Hishdf, Hnumber, Hopen, Hopen, Hsetaccesstype, Hsync, HXsetcreatedir, HXsetdir, loadH4Lib, SDattrinfo, SDcheckempty, SDcreate, SDdiminfo, SDend, SDendaccess, SDfileinfo, SDfindattr, SDgetcal, SDgetchunkinfo, SDgetcompress, SDgetdatastrs, SDgetdimid, SDgetdimscale, SDgetdimscale, SDgetdimstrs, SDgetfillvalue, SDgetfillvalue, SDgetinfo, SDgetrange, SDgetrange, SDidtoref, SDiscoordvar, SDisdimval_bwcomp, SDisrecord, SDnametoindex, SDreadattr, SDreadattr, SDreadchunk, SDreadchunk, SDreaddata_double, SDreaddata_float, SDreaddata_int, SDreaddata_long, SDreaddata_short, SDreaddata, SDreaddata, SDreftoindex, SDselect, SDsetaccesstype, SDsetattr, SDsetattr, SDsetblocksize, SDsetcal, SDsetchunk, SDsetchunkcache, SDsetcompress, SDsetdatastrs, SDsetdimname, SDsetdimscale, SDsetdimscale, SDsetdimstrs, SDsetdimval_comp, SDsetexternalfile, SDsetfillmode, SDsetfillmode, SDsetfillvalue, SDsetfillvalue, SDsetnbitdataset, SDsetrange, SDsetrange, SDstart, SDwritechunk, SDwritechunk, SDwritedata, SDwritedata, Vaddtagref, Vattach, Vattrinfo, Vdeletetagref, Vdetach, Vend, VFfieldesize, VFfieldisize, VFfieldname, VFfieldorder, VFfieldtype, Vfind, Vfindattr, Vfindclass, Vflocate, VFnfields, Vgetattr, Vgetattr, Vgetclass, Vgetid, Vgetname, Vgetnext, Vgettagref, Vgettagrefs, Vgetversion, VHmakegroup, VHstoredata, VHstoredata, VHstoredatam, VHstoredatam, Vinqtagref, Vinquire, Vinsert, Visvg, Visvs, Vlone, Vnattrs, Vnrefs, Vntagrefs, VQueryref, VQuerytag, VSappendable, VSattach, VSattrinfo, VSdetach, VSelts, Vsetattr, Vsetattr, Vsetattr, Vsetclass, Vsetname, VSfdefine, VSfexist, VSfind, VSfindattr, VSfindclass, VSfindex, VSfnattrs, VSgetattr, VSgetattr, VSgetclass, VSgetfields, VSgetid, VSgetinterlace, VSgetname, VSgetversion, VSinquire, VSinquire, VSisattr, VSlone, VSnattrs, VSQuerycount, VSQueryfields, VSQueryinterlace, VSQueryname, VSQueryref, VSQuerytag, VSQueryvsize, VSread, VSread, VSseek, VSsetattr, VSsetattr, VSsetattr, VSsetblocksize, VSsetclass, VSsetexternalfile, VSsetfields, VSsetinterlace, VSsetname, VSsetnumblocks, VSsizeof, Vstart, VSwrite, VSwrite`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### H45PATH_PROPERTY_KEY

    public static final java.lang.String H45PATH_PROPERTY_KEY

See Also:
  Constant Field Values

### HDFPATH_PROPERTY_KEY

    public static final java.lang.String HDFPATH_PROPERTY_KEY

See Also:
  Constant Field Values

Constructor Detail

### HDFDeprecated

    public HDFDeprecated()

Method Detail

### DFANaddfds

    public static boolean DFANaddfds(int file_id,
                                     java.lang.String description,
                                     int desc_len)
                              throws HDFException

  Throws:
    `HDFException`

### DFANaddfid

    public static boolean DFANaddfid(int file_id,
                                     java.lang.String label)
                              throws HDFException

  Throws:
    `HDFException`

### DFANclear

    public static boolean DFANclear()
                             throws HDFException

  Throws:
    `HDFException`

### DFANgetdesc

    public static boolean DFANgetdesc(java.lang.String filename,
                                      short tag,
                                      short ref,
                                      java.lang.String[] desc_buf,
                                      int buf_len)
                               throws HDFException

  Throws:
    `HDFException`

### DFANgetdesclen

    public static int DFANgetdesclen(java.lang.String filename,
                                     short tag,
                                     short ref)
                              throws HDFException

  Throws:
    `HDFException`

### DFANgetfds

    public static int DFANgetfds(int file_id,
                                 java.lang.String[] desc_buf,
                                 int buf_len,
                                 int isfirst)
                          throws HDFException

  Throws:
    `HDFException`

### DFANgetfds

    public int DFANgetfds(int file_id,
                          java.lang.String[] desc_buf,
                          int buf_len,
                          boolean isfirst)
                   throws HDFException

  Throws:
    `HDFException`

### DFANgetfdslen

    public static int DFANgetfdslen(int file_id,
                                    int isfirst)
                             throws HDFException

  Throws:
    `HDFException`

### DFANgetfdslen

    public int DFANgetfdslen(int file_id,
                             boolean isfirst)
                      throws HDFException

  Throws:
    `HDFException`

### DFANgetfid

    public static int DFANgetfid(int file_id,
                                 java.lang.String[] desc_buf,
                                 int buf_len,
                                 int isfirst)
                          throws HDFException

  Throws:
    `HDFException`

### DFANgetfid

    public int DFANgetfid(int file_id,
                          java.lang.String[] desc_buf,
                          int buf_len,
                          boolean isfirst)
                   throws HDFException

  Throws:
    `HDFException`

### DFANgetfidlen

    public static int DFANgetfidlen(int file_id,
                                    int isfirst)
                             throws HDFException

  Throws:
    `HDFException`

### DFANgetfidlen

    public int DFANgetfidlen(int file_id,
                             boolean isfirst)
                      throws HDFException

  Throws:
    `HDFException`

### DFANgetlabel

    public static boolean DFANgetlabel(java.lang.String filename,
                                       short tag,
                                       short ref,
                                       java.lang.String[] label_buf,
                                       int buf_len)
                                throws HDFException

  Throws:
    `HDFException`

### DFANgetlablen

    public static int DFANgetlablen(java.lang.String filename,
                                    short tag,
                                    short ref)
                             throws HDFException

  Throws:
    `HDFException`

### DFANlablist

    public static int DFANlablist(java.lang.String filename,
                                  short tag,
                                  short[] ref_list,
                                  java.lang.String[] label_list,
                                  int list_len,
                                  int label_len,
                                  int start_pos)
                           throws HDFException

  Throws:
    `HDFException`

### DFANlastref

    public static short DFANlastref()
                             throws HDFException

  Throws:
    `HDFException`

### DFANputdesc

    public static boolean DFANputdesc(java.lang.String filename,
                                      short tag,
                                      short ref,
                                      java.lang.String description,
                                      int desc_len)
                               throws HDFException

  Throws:
    `HDFException`

### DFANputlabel

    public static boolean DFANputlabel(java.lang.String filename,
                                       short tag,
                                       short ref,
                                       java.lang.String label)
                                throws HDFException

  Throws:
    `HDFException`

### DFSDadddata

    public static boolean DFSDadddata(java.lang.String filename,
                                      int rank,
                                      int[] dimsizes,
                                      byte[] data)
                               throws HDFException

  Throws:
    `HDFException`

### DFSDadddata

    public boolean DFSDadddata(java.lang.String filename,
                               int rank,
                               int[] dimsizes,
                               java.lang.Object theData)
                        throws HDFException

  Throws:
    `HDFException`

### DFSDclear

    public static boolean DFSDclear()
                             throws HDFException

  Throws:
    `HDFException`

### DFSDendslab

    public static boolean DFSDendslab()
                               throws HDFException

  Throws:
    `HDFException`

### DFSDendslice

    public static boolean DFSDendslice()
                                throws HDFException

  Throws:
    `HDFException`

### DFSDgetcal

    public static boolean DFSDgetcal(double[] calInfo)
                              throws HDFException

  Throws:
    `HDFException`

### DFSDgetdata

    public static boolean DFSDgetdata(java.lang.String filename,
                                      int[] rank,
                                      int[] dimsizes,
                                      byte[] data)
                               throws HDFException

  Throws:
    `HDFException`

### DFSDgetdata

    public boolean DFSDgetdata(java.lang.String filename,
                               int[] rank,
                               int[] dimsizes,
                               java.lang.Object theData)
                        throws HDFException

  Throws:
    `HDFException`

### DFSDgetdatalen

    public static boolean DFSDgetdatalen(int[] info)
                                  throws HDFException

  Throws:
    `HDFException`

### DFSDgetdatastrs

    public static boolean DFSDgetdatastrs(java.lang.String[] datastrs)
                                   throws HDFException

  Throws:
    `HDFException`

### DFSDgetdimlen

    public static boolean DFSDgetdimlen(int dim,
                                        int[] label_len)
                                 throws HDFException

  Throws:
    `HDFException`

### DFSDgetdims

    public static boolean DFSDgetdims(java.lang.String filename,
                                      int[] rank,
                                      int[] dimsizes,
                                      int maxrank)
                               throws HDFException

  Throws:
    `HDFException`

### DFSDgetdimscale

    public static boolean DFSDgetdimscale(int dim,
                                          int size,
                                          byte[] scale)
                                   throws HDFException

  Throws:
    `HDFException`

### DFSDgetdimscale

    public boolean DFSDgetdimscale(int dim,
                                   int size,
                                   java.lang.Object theScale)
                            throws HDFException

  Throws:
    `HDFException`

### DFSDgetdimstrs

    public static boolean DFSDgetdimstrs(int dim,
                                         java.lang.String[] dimstrs)
                                  throws HDFException

  Throws:
    `HDFException`

### DFSDgetfillvalue

    public static boolean DFSDgetfillvalue(byte[] fill_value)
                                    throws HDFException

  Throws:
    `HDFException`

### DFSDgetfillvalue

    public boolean DFSDgetfillvalue(java.lang.Object[] theFillValue)
                             throws HDFException

  Throws:
    `HDFException`

### DFSDgetNT

    public static boolean DFSDgetNT(int[] data_type)
                             throws HDFException

  Throws:
    `HDFException`

### DFSDgetrange

    public static boolean DFSDgetrange(byte[] max,
                                       byte[] min)
                                throws HDFException

  Throws:
    `HDFException`

### DFSDgetrange

    public boolean DFSDgetrange(double[] maxmin)
                         throws HDFException

  Throws:
    `HDFException`

### DFSDgetslice

    public static boolean DFSDgetslice(java.lang.String filename,
                                       int[] winst,
                                       int[] windims,
                                       byte[] data,
                                       int[] dims)
                                throws HDFException

  Throws:
    `HDFException`

### DFSDgetslice

    public boolean DFSDgetslice(java.lang.String filename,
                                int[] winst,
                                int[] windims,
                                java.lang.Object theData,
                                int[] dims)
                         throws HDFException

  Throws:
    `HDFException`

### DFSDlastref

    public static int DFSDlastref()
                           throws HDFException

  Throws:
    `HDFException`

### DFSDndatasets

    public static int DFSDndatasets(java.lang.String filename)
                             throws HDFException

  Throws:
    `HDFException`

### DFSDpre32sdg

    public boolean DFSDpre32sdg(java.lang.String filename,
                                short ref,
                                boolean ispre32)
                         throws HDFException

  Throws:
    `HDFException`

### DFSDpre32sdg

    public static boolean DFSDpre32sdg(java.lang.String filename,
                                       short ref,
                                       int[] ispre32)
                                throws HDFException

  Throws:
    `HDFException`

### DFSDputdata

    public static boolean DFSDputdata(java.lang.String filename,
                                      int rank,
                                      int[] dimsizes,
                                      byte[] data)
                               throws HDFException

  Throws:
    `HDFException`

### DFSDputdata

    public boolean DFSDputdata(java.lang.String filename,
                               int rank,
                               int[] dimsizes,
                               java.lang.Object theData)
                        throws HDFException

  Throws:
    `HDFException`

### DFSDputslice

    public static boolean DFSDputslice(int[] windims,
                                       byte[] source,
                                       int[] dims)
                                throws HDFException

  Throws:
    `HDFException`

### DFSDputslice

    public boolean DFSDputslice(int[] windims,
                                java.lang.Object source,
                                int[] dims)
                         throws HDFException

  Throws:
    `HDFException`

### DFSDreadref

    public static boolean DFSDreadref(java.lang.String filename,
                                      short ref)
                               throws HDFException

  Throws:
    `HDFException`

### DFSDreadslab

    public static boolean DFSDreadslab(java.lang.String filename,
                                       int[] start,
                                       int[] slab_size,
                                       int[] stride,
                                       byte[] buffer,
                                       int[] buffer_size)
                                throws HDFException

  Throws:
    `HDFException`

### DFSDreadslab

    public boolean DFSDreadslab(java.lang.String filename,
                                int[] start,
                                int[] slab_size,
                                int[] stride,
                                java.lang.Object theData,
                                int[] buffer_size)
                         throws HDFException

  Throws:
    `HDFException`

### DFSDrestart

    public static boolean DFSDrestart()
                               throws HDFException

  Throws:
    `HDFException`

### DFSDsetcal

    public static boolean DFSDsetcal(double cal,
                                     double cal_err,
                                     double offset,
                                     double offset_err,
                                     int data_type)
                              throws HDFException

  Throws:
    `HDFException`

### DFSDsetdatastrs

    public static boolean DFSDsetdatastrs(java.lang.String label,
                                          java.lang.String unit,
                                          java.lang.String format,
                                          java.lang.String coordsys)
                                   throws HDFException

  Throws:
    `HDFException`

### DFSDsetdims

    public static boolean DFSDsetdims(int rank,
                                      int[] dimsizes)
                               throws HDFException

  Throws:
    `HDFException`

### DFSDsetdimscale

    public static boolean DFSDsetdimscale(int dim,
                                          int dimsize,
                                          byte[] scale)
                                   throws HDFException

  Throws:
    `HDFException`

### DFSDsetdimscale

    public boolean DFSDsetdimscale(int dim,
                                   int dimsize,
                                   java.lang.Object theScale)
                            throws HDFException

  Throws:
    `HDFException`

### DFSDsetdimstrs

    public static boolean DFSDsetdimstrs(int dim,
                                         java.lang.String label,
                                         java.lang.String unit,
                                         java.lang.String format)
                                  throws HDFException

  Throws:
    `HDFException`

### DFSDsetfillvalue

    public static boolean DFSDsetfillvalue(java.lang.Object fill_value)
                                    throws HDFException

  Throws:
    `HDFException`

### DFSDsetlengths

    public static boolean DFSDsetlengths(int label_len,
                                         int unit_len,
                                         int format_len,
                                         int coords_len)
                                  throws HDFException

  Throws:
    `HDFException`

### DFSDsetNT

    public static boolean DFSDsetNT(int data_type)
                             throws HDFException

  Throws:
    `HDFException`

### DFSDsetrange

    public static boolean DFSDsetrange(byte[] max,
                                       byte[] min)
                                throws HDFException

  Throws:
    `HDFException`

### DFSDsetrange

    public boolean DFSDsetrange(java.lang.Object max,
                                java.lang.Object min)
                         throws HDFException

  Throws:
    `HDFException`

### DFSDstartslab

    public static boolean DFSDstartslab(java.lang.String filename)
                                 throws HDFException

  Throws:
    `HDFException`

### DFSDstartslice

    public static boolean DFSDstartslice(java.lang.String filename)
                                  throws HDFException

  Throws:
    `HDFException`

### DFSDwriteref

    public static boolean DFSDwriteref(java.lang.String filename,
                                       short ref)
                                throws HDFException

  Throws:
    `HDFException`

### DFSDwriteslab

    public static boolean DFSDwriteslab(int[] start,
                                        int[] stride,
                                        int[] count,
                                        byte[] data)
                                 throws HDFException

  Throws:
    `HDFException`

### DFSDwriteslab

    public boolean DFSDwriteslab(int[] start,
                                 int[] stride,
                                 int[] count,
                                 java.lang.Object theData)
                          throws HDFException

  Throws:
    `HDFException`

### DFUfptoimage

    public static boolean DFUfptoimage(int hdim,
                                       int vdim,
                                       float max,
                                       float min,
                                       float[] hscale,
                                       float[] vscale,
                                       float[] data,
                                       byte[] palette,
                                       java.lang.String outfile,
                                       int ct_method,
                                       int hres,
                                       int vres,
                                       int compress)
                                throws HDFException

  Throws:
    `HDFException`

### Vclose

    public static boolean Vclose(int file_id)
                          throws HDFException

  Throws:
    `HDFException`

### Vopen

    public static int Vopen(java.lang.String filename,
                            int access,
                            short ndds)
                     throws HDFException

  Throws:
    `HDFException`

### VSdump

    public static void VSdump(int vkey)
                       throws HDFException

  Throws:
    `HDFException`

### HEprint

    public static void HEprint(java.io.OutputStream stream,
                               int level)
                        throws HDFException

  Throws:
    `HDFException`